This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 639412

Summary: block: must prevent merges of discard and write requests [rhel-6.0.z]
Product: Red Hat Enterprise Linux 6 Reporter: RHEL Product and Program Management <pm-rhel>
Component: kernelAssignee: Frantisek Hrbata <fhrbata>
Status: CLOSED ERRATA QA Contact: Gris Ge <fge>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 6.1CC: bdonahue, caiqian, chellwig, coughlan, dhoward, fge, fhrbata, jmoyer, jpirko, kzhang, msnitzer, mzywusko, pcfe, pm-eus, snagar, syeghiay, vgoyal, yugzhang
Target Milestone: rcKeywords: ZStream
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-2.6.32-71.3.1.el6 Doc Type: Bug Fix
Doc Text:
Previously, a write request may have merged with a discard request. This could have posed a potential risk for 3rd party drivers which could possibly issue a discard without waiting properly. With this update, discarding of write block I/O requests by preventing merges of discard and write requests in one block I/O has been introduced, thus, resolving the possible risks.
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-10 14:10:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 637805    
Bug Blocks:    

Description RHEL Product and Program Management 2010-10-01 13:05:23 EDT
This bug has been copied from bug #637805 and has been proposed
to be backported to 6.0 z-stream (EUS).
Comment 2 Frantisek Hrbata 2010-10-04 03:14:37 EDT
in 2.6.32-71.3.1.el6
Comment 5 Barry Donahue 2010-10-21 10:58:06 EDT
The bug was found upstream and there is no reproducible test case.
Comment 7 errata-xmlrpc 2010-11-10 14:10:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html
Comment 8 Martin Prpic 2010-11-11 06:55:06 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, a write request may have merged with a discard request. This could have posed a potential risk for 3rd party drivers which could possibly issue a discard without waiting properly. With this update, discarding of write block I/O requests by preventing merges of discard and write requests in one block I/O has been introduced, thus, resolving the possible risks.